-- Sort Algorithm
function combSort(order, dist, amount)
	local gap = amount;
	local swapped = false;

	while(gap > 1 or swapped) do
		--shrink factor 1.3
		gap = math.floor((gap * 10) / 13);

		if(gap == 9 or gap == 10) then gap = 11 end

		if (gap < 1) then gap = 1 end

		swapped = false

		for i = 1, amount - gap + 1, 1 do
			local j = i + gap - 1;

			if (dist[i] < dist[j]) then
				local temp = dist[j]
				dist[j] = dist[i]
				dist[i] = temp

				local temp = order[j]
				order[j] = order[i]
				order[i] = temp

				swapped = true;
			end
		end
	end
end

-- Spawns a new sprite
function newSprite(x, y, textureID)
	table.insert(sprites, {x = x, y = y, id = textureID})
end

-- Gets the rotation of the player
function getPlayerRot()
	return math.atan2(player.dirX, player.dirY)
end